Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1809967 - python-osc-lib fails to build in Fedora 32+: AttributeError: 'TestTags' object has no attribute 'assertItemsEqual'
Summary: python-osc-lib fails to build in Fedora 32+: AttributeError: 'TestTags' objec...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-osc-lib
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Alfredo Moralejo
QA Contact: Fedora Extras Quality Assurance
URL: https://koschei.fedoraproject.org/pac...
Whiteboard:
Depends On: 1811697
Blocks: F32FTBFS PYTHON39 1794222 F33FTBFS
TreeView+ depends on / blocked
 
Reported: 2020-03-04 10:16 UTC by Miro Hrončok
Modified: 2020-03-17 01:44 UTC (History)
6 users (show)

Fixed In Version: python-osc-lib-1.14.1-4.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-17 01:44:52 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Miro Hrončok 2020-03-04 10:16:27 UTC
Description of problem:
Package python-osc-lib fails to build from source in Fedora 32 and rawhide.

Traceback (most recent call last):
  File "/builddir/build/BUILD/osc-lib-1.14.1/osc_lib/tests/utils/test_tags.py", line 88, in test_add_tag_option_to_parser_for_set
    self.assertItemsEqual(expected, actual)
AttributeError: 'TestTags' object has no attribute 'assertItemsEqual'

This should be 'assertCountEqual' on Python 3.


Version-Release number of selected component (if applicable):
1.14.1-3.fc32

Steps to Reproduce:
fedpkg build

Additional info:
This package is tracked by Koschei. See:
https://koschei.fedoraproject.org/package/python-osc-lib


This seem related to unittest2 vs unittest. This blocks the Python 3.9 rebuild.

Comment 1 Fedora Release Engineering 2020-03-08 04:23:32 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 32.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (that's on 2020-04-29).

A week before the mass branching of Fedora 33 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 31 will be
retired regardless of the status of this bug.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-33/f-33-key-tasks.html

Comment 2 Alfredo Moralejo 2020-03-11 18:14:27 UTC
We need to have https://bodhi.fedoraproject.org/updates/FEDORA-2020-4453da8a1c to fix this

Comment 4 Fedora Update System 2020-03-13 11:05:03 UTC
FEDORA-2020-344143b72c has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-344143b72c

Comment 5 Fedora Update System 2020-03-13 18:33:47 UTC
python-osc-lib-1.14.1-4.fc32 has been pushed to the Fedora 32 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-344143b72c

Comment 6 Fedora Update System 2020-03-17 01:44:52 UTC
python-osc-lib-1.14.1-4.fc32 has been pushed to the Fedora 32 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.